#!/bin/sh
echo 'name: bits-atomic
version: 0.1.3
id: bits-atomic-0.1.3-082ece9e9fae3508b64f5fac6b0f62b2

license: BSD3
copyright:
maintainer: Gabriel Wicke <wicke@wikidev.net>
stability: experimental
homepage:
package-url:
synopsis: Atomic bit operations on memory locations
          for low-level synchronization
description: Atomic operations including CAS (compare-and-swap), fetch & add and variants
             suitable for low-level shared-memory synchronization.
             .
             The implementation is using GCC'\''s builtin atomic operations (available in GCC >=
             4) in C wrappers called through the FFI. See these links for background:
             .
             * GCC manual: <http://gcc.gnu.org/onlinedocs/gcc/Atomic-Builtins.html>
             .
             * GCC wiki: <http://gcc.gnu.org/wiki/Atomic>
             .
             /Portability/: This package is primarily developed on a Linux system, but
             should work wherever GCC >= 4 is available. It has been confirmed as working
             on OSX. On Windows, it should work with Cygwin but currently fails for
             vanilla Haskell-Platform 2010.1.0.0 as it still packages GCC 3.x. An
             installer for updated versions of GCC is available at
             <http://www.mingw.org/> and should make this package work in connection with
             Haskell-Platform. Feedback on compatibility would be appreciated.
             .
             /Testing:/ The following commands can be used to compile and run the test suite:
             .
             > cabal unpack bits-atomic && cd bits-atomic-* # if not yet locally available
             > cabal configure -ftest
             > cabal build
             > cabal test
             .
             /Recent changes/:
             .
             * 0.1.3: Documentation updates, especially on portability. No functional
             changes.
             .
             * 0.1.2: Avoid using System.FilePath in Setup.hs to fix build failure on hackage
category: Data, Concurrency, Foreign
author: Gabriel Wicke <wicke@wikidev.net>
exposed: True
exposed-modules: Data.Bits.Atomic
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/ghc-7.4.2/cabal/bits-atomic-0.1.3
library-dirs: /usr/local/lib/ghc-7.4.2/cabal/bits-atomic-0.1.3
              /usr/local/lib
hs-libraries: HSbits-atomic-0.1.3
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
              /usr/local/lib/ghc-7.4.2/cabal/bits-atomic-0.1.3/include
includes:
depends: base-4.5.1.0-12fddc14a7babb909dd3843e453b5660
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.4.2/cabal/bits-atomic-0.1.3/html/bits-atomic.haddock
haddock-html: /usr/local/share/doc/ghc-7.4.2/cabal/bits-atomic-0.1.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
